#include <msp430.h>


int main(void)
{
	WDTCTL = WDTPW | WDTHOLD;		// Stop watchdog timer

	// Set all GPIO to input with pulldown resistor for lowest current consumption
	PAOUT = 0x0000; PBOUT = 0x0000;	PJOUT = 0x0000;
	PAREN = 0xFFFF; PBREN = 0xFFFF; PJREN = 0xFFFF;
	PADIR = 0x0000; PBDIR = 0x0000; PJDIR = 0x0000;

	P1DIR |= 0x01;					// Set P1.0 to output direction

	for(;;) {
		volatile unsigned int i;	// volatile to prevent optimization

		P1OUT ^= 0x01;			// Toggle P1.0 using exclusive-OR

		i = 10000;			// SW Delay
		do i--;
		while(i != 0);
	}
	
	return 0;
}
